# Uses of Interface
org.apache.qpid.proton.engine.Event

Packages that use Event
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Event in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Event
Modifier and Type
Method
Description
`Event`
Event.`copy()`
`Event`
Collector.`peek()`
Methods in org.apache.qpid.proton.engine with parameters of type Event
Modifier and Type
Method
Description
`void`
BaseHandler.`handle(Event e)`
`void`
Handler.`handle(Event e)`
Handle the event in this instance.
`void`
BaseHandler.`onConnectionBound(Event e)`
`void`
CoreHandler.`onConnectionBound(Event e)`
`void`
BaseHandler.`onConnectionFinal(Event e)`
`void`
CoreHandler.`onConnectionFinal(Event e)`
`void`
BaseHandler.`onConnectionInit(Event e)`
`void`
CoreHandler.`onConnectionInit(Event e)`
`void`
BaseHandler.`onConnectionLocalClose(Event e)`
`void`
CoreHandler.`onConnectionLocalClose(Event e)`
`void`
BaseHandler.`onConnectionLocalOpen(Event e)`
`void`
CoreHandler.`onConnectionLocalOpen(Event e)`
`void`
BaseHandler.`onConnectionRemoteClose(Event e)`
`void`
CoreHandler.`onConnectionRemoteClose(Event e)`
`void`
BaseHandler.`onConnectionRemoteOpen(Event e)`
`void`
CoreHandler.`onConnectionRemoteOpen(Event e)`
`void`
BaseHandler.`onConnectionUnbound(Event e)`
`void`
CoreHandler.`onConnectionUnbound(Event e)`
`void`
BaseHandler.`onDelivery(Event e)`
`void`
CoreHandler.`onDelivery(Event e)`
`void`
BaseHandler.`onLinkFinal(Event e)`
`void`
CoreHandler.`onLinkFinal(Event e)`
`void`
BaseHandler.`onLinkFlow(Event e)`
`void`
CoreHandler.`onLinkFlow(Event e)`
`void`
BaseHandler.`onLinkInit(Event e)`
`void`
CoreHandler.`onLinkInit(Event e)`
`void`
BaseHandler.`onLinkLocalClose(Event e)`
`void`
CoreHandler.`onLinkLocalClose(Event e)`
`void`
BaseHandler.`onLinkLocalDetach(Event e)`
`void`
CoreHandler.`onLinkLocalDetach(Event e)`
`void`
BaseHandler.`onLinkLocalOpen(Event e)`
`void`
CoreHandler.`onLinkLocalOpen(Event e)`
`void`
BaseHandler.`onLinkRemoteClose(Event e)`
`void`
CoreHandler.`onLinkRemoteClose(Event e)`
`void`
BaseHandler.`onLinkRemoteDetach(Event e)`
`void`
CoreHandler.`onLinkRemoteDetach(Event e)`
`void`
BaseHandler.`onLinkRemoteOpen(Event e)`
`void`
CoreHandler.`onLinkRemoteOpen(Event e)`
`void`
BaseHandler.`onReactorFinal(Event e)`
`void`
CoreHandler.`onReactorFinal(Event e)`
`void`
BaseHandler.`onReactorInit(Event e)`
`void`
CoreHandler.`onReactorInit(Event e)`
`void`
BaseHandler.`onReactorQuiesced(Event e)`
`void`
CoreHandler.`onReactorQuiesced(Event e)`
`void`
BaseHandler.`onSelectableError(Event e)`
`void`
CoreHandler.`onSelectableError(Event e)`
`void`
BaseHandler.`onSelectableExpired(Event e)`
`void`
CoreHandler.`onSelectableExpired(Event e)`
`void`
BaseHandler.`onSelectableFinal(Event e)`
`void`
CoreHandler.`onSelectableFinal(Event e)`
`void`
BaseHandler.`onSelectableInit(Event e)`
`void`
CoreHandler.`onSelectableInit(Event e)`
`void`
BaseHandler.`onSelectableReadable(Event e)`
`void`
CoreHandler.`onSelectableReadable(Event e)`
`void`
BaseHandler.`onSelectableUpdated(Event e)`
`void`
CoreHandler.`onSelectableUpdated(Event e)`
`void`
BaseHandler.`onSelectableWritable(Event e)`
`void`
CoreHandler.`onSelectableWritable(Event e)`
`void`
BaseHandler.`onSessionFinal(Event e)`
`void`
CoreHandler.`onSessionFinal(Event e)`
`void`
BaseHandler.`onSessionInit(Event e)`
`void`
CoreHandler.`onSessionInit(Event e)`
`void`
BaseHandler.`onSessionLocalClose(Event e)`
`void`
CoreHandler.`onSessionLocalClose(Event e)`
`void`
BaseHandler.`onSessionLocalOpen(Event e)`
`void`
CoreHandler.`onSessionLocalOpen(Event e)`
`void`
BaseHandler.`onSessionRemoteClose(Event e)`
`void`
CoreHandler.`onSessionRemoteClose(Event e)`
`void`
BaseHandler.`onSessionRemoteOpen(Event e)`
`void`
CoreHandler.`onSessionRemoteOpen(Event e)`
`void`
BaseHandler.`onTimerTask(Event e)`
`void`
CoreHandler.`onTimerTask(Event e)`
`void`
BaseHandler.`onTransport(Event e)`
`void`
CoreHandler.`onTransport(Event e)`
`void`
BaseHandler.`onTransportClosed(Event e)`
`void`
CoreHandler.`onTransportClosed(Event e)`
`void`
BaseHandler.`onTransportError(Event e)`
`void`
CoreHandler.`onTransportError(Event e)`
`void`
BaseHandler.`onTransportHeadClosed(Event e)`
`void`
CoreHandler.`onTransportHeadClosed(Event e)`
`void`
BaseHandler.`onTransportTailClosed(Event e)`
`void`
CoreHandler.`onTransportTailClosed(Event e)`
`void`
BaseHandler.`onUnhandled(Event event)`
`void`
Handler.`onUnhandled(Event e)`

## Uses of Event in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Event
Modifier and Type
Method
Description
`Event`
CollectorImpl.`peek()`

## Uses of Event in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor with parameters of type Event
Modifier and Type
Method
Description
`void`
Handshaker.`onConnectionRemoteClose(Event event)`
`void`
Handshaker.`onConnectionRemoteOpen(Event event)`
`void`
Handshaker.`onLinkRemoteClose(Event event)`
`void`
Handshaker.`onLinkRemoteOpen(Event event)`
`void`
Handshaker.`onSessionRemoteClose(Event event)`
`void`
Handshaker.`onSessionRemoteOpen(Event event)`
`void`
FlowController.`onUnhandled(Event event)`

## Uses of Event in org.apache.qpid.proton.reactor.impl

Fields in org.apache.qpid.proton.reactor.impl with type parameters of type Event
Modifier and Type
Field
Description
`static final ExtendableAccessor<Event,Handler>`
ReactorImpl.`ROOT`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type Event
Modifier and Type
Method
Description
`void`
IOHandler.`onUnhandled(Event event)`